# $Revision: 1.6.2.2 $, $Date: 2003/04/28 12:51:49 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	TableHash
Summary:	DBIx::TableHash - Tie a hash to a mysql table + SQL utils
Summary(pl):	DBIx::TableHash - powizanie hasza z tabel mysql oraz narzdzia SQL
Name:		perl-DBIx-TableHash
Version:	1.04
Release:	2
License:	GPL/Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-DBI
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBHash object is designed to tie a hash to a table or a subset of
records in a table in a DBI database (only tested with mysql in the
current version, but expected to work with any vendor).

%description -l pl
Obiekt DBHash suy do powizania hasza z tabel lub podzbiorem
rekordw w tabeli w bazie danych DBI (testowane tylko z aktualn
wersj mysql, ale powinno dziaa z kad baz).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-DBIx-TableHash.spec,v $
Revision 1.6.2.2  2003/04/28 12:51:49  ankry
- really rel++

Revision 1.6.2.1  2003/03/13 00:56:52  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.6  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:30:59  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/26 14:52:57  ankry
- removed unnecessary BR (Data::Dumper is in perl-modules)

Revision 1.3  2002/09/26 14:46:30  ankry
- version 1.04, release 1

Revision 1.2  2002/08/18 13:54:21  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:57  radek
- new, STBR
